routes/web.php
<?php

Route::group(['prefix' => LaravelLocalization::setLocale()], function()
{
	Route::prefix('/')->group(function(){
		//Login
		Route::get('/login', 'Auth\LoginController@index')->name('login');
		Route::post('/login', 'Auth\LoginController@login')->name('login.attempt');

		//Register
		Route::get('/register', 'Auth\RegisterController@index')->name('register');
		Route::post('/register', 'Auth\RegisterController@store')->name('register.store');	

		Route::middleware(['auth'])->group(function(){
			//Dashboard	
			Route::get('/', 'DashboardController@index')->name('dashboard');
			Route::get('dashboard', 'DashboardController@index')->name('dashboard');

			//Category
			Route::get('/category/json', 'Category\CategoryController@populateRecords')->name('category.getCategoryData');
			Route::delete('/category', 'Category\CategoryController@delete')->name('category.delete');		
			Route::resource('category', 'Category\CategoryController');

			//Inventory
			Route::get('/inventory/detail/json/{id}', 'Inventory\InventoryController@populateDetailRecords')->name('inventory.getInventoryDetailData');
			Route::get('/inventory/user/json/{id}', 'Inventory\InventoryController@inventoryUserDetails')->name('inventory.inventoryUserDetails');
			Route::get('/inventory/maintenance/json/{id}', 'Inventory\InventoryController@populateMaintenanceRecords')->name('inventory.maintenanceRecords');
			Route::get('/inventory/maintenance/work/json/{id}', 'Inventory\InventoryController@populateMaintenanceWorkRecords')->name('inventory.maintenanceWorkRecords');
			Route::get('/inventory/maintenance/part/json/{id}', 'Inventory\InventoryController@populateMaintenancePartRecords')->name('inventory.maintenancePartRecords');
			Route::get('/inventory/json', 'Inventory\InventoryController@populateRecords')->name('inventory.getInventoryData');
			Route::delete('/inventory', 'Inventory\InventoryController@delete')->name('inventory.delete');		
			Route::resource('inventory', 'Inventory\InventoryController');			

			//Department
			Route::get('/department/json', 'Department\DepartmentController@populateRecords')->name('department.getDepartmentData');
			Route::delete('/department', 'Department\DepartmentController@delete')->name('department.delete');		
			Route::resource('department', 'Department\DepartmentController');

			//Employee
			Route::get('/employee/json', 'Employee\EmployeeController@populateRecords')->name('employee.getEmployeeData');
			Route::delete('/employee', 'Employee\EmployeeController@delete')->name('employee.delete');		
			Route::resource('employee', 'Employee\EmployeeController');

			//Inventory Request
			Route::get('/request/json', 'InventoryRequest\InventoryRequestController@populateRecords')->name('request.getInventoryRequestData');
			Route::get('/request/detail/json/{id}', 'InventoryRequest\InventoryRequestController@populateDetailRecords')->name('request.getInventoryRequestDetailData');
			Route::delete('/request', 'InventoryRequest\InventoryRequestController@delete')->name('request.delete');		
			Route::resource('request', 'InventoryRequest\InventoryRequestController');

			//Inventory Request Detail
			Route::get('/request/item/json', 'InventoryRequest\InventoryRequestController@populateItem')->name('request.populateItem');
			Route::get('/request/item/{id}', 'InventoryRequest\InventoryRequestController@getDetailItem')->name('request.autoFillItem');
			Route::post('/request/item', 'InventoryRequest\InventoryRequestController@storeRequestDetail')->name('request.storeRequestDetail');
			Route::delete('/request/item/{item}', 'InventoryRequest\InventoryRequestController@requestDetailDestroy')->name('request.requestDetailDestroy');

			//Inventory Procurement
			Route::get('/procurement/json', 'InventoryProcurement\InventoryProcurementController@populateRecords')->name('procurement.getInventoryProcurementData');
			Route::get('/procurement/detail/json/{id}', 'InventoryProcurement\InventoryProcurementController@populateDetailRecords')->name('procurement.getInventoryProcurementDetailData');
			Route::delete('/procurement', 'InventoryProcurement\InventoryProcurementController@delete')->name('procurement.delete');
			Route::resource('procurement', 'InventoryProcurement\InventoryProcurementController');

			//Inventory Procurement Detail
			Route::get('/generate', 'InventoryProcurement\InventoryProcurementController@autoCode')->name('procurement.autoCode');
			Route::get('/procurement/item/json', 'InventoryProcurement\InventoryProcurementController@populateItem')->name('procurement.populateItem');
			Route::get('/procurement/item/{id}', 'InventoryProcurement\InventoryProcurementController@getDetailItem')->name('procurement.autoFillItem');
			Route::post('/procurement/item', 'InventoryProcurement\InventoryProcurementController@storeProcurementDetail')->name('procurement.storeProcurementDetail');
			Route::get('/procurement/show/detail/{id}', 'InventoryProcurement\InventoryProcurementController@getProcurementDetailItem')->name('procurement.getProcurementDetailItem');
			Route::get('/procurement/show/subdetail/{id}', 'InventoryProcurement\InventoryProcurementController@getSubDetailItem')->name('procurement.getSubDetailItem');
			Route::delete('/procurement/item/{item}', 'InventoryProcurement\InventoryProcurementController@procurementDetailDestroy')->name('procurement.procurementDetailDestroy');

			//Inventory Delivery
			Route::get('/delivery/request/{id}', 'InventoryDelivery\InventoryDeliveryController@populateInventoryRequest')->name('delivery.getInventoryRequest');
			Route::get('/delivery/employee/{id}', 'InventoryDelivery\InventoryDeliveryController@populateEmployee')->name('delivery.getEmployee');
			Route::get('/delivery/json', 'InventoryDelivery\InventoryDeliveryController@populateRecords')->name('delivery.getInventoryDeliveryData');
			Route::get('/delivery/detail/json/{id}', 'InventoryDelivery\InventoryDeliveryController@populateDetailRecords')->name('delivery.getInventoryDeliveryDetailData');
			Route::delete('/delivery', 'InventoryDelivery\InventoryDeliveryController@delete')->name('delivery.delete');		
			Route::resource('delivery', 'InventoryDelivery\InventoryDeliveryController');

			//Inventory Delivery Detail
			Route::get('/delivery/item/json', 'InventoryDelivery\InventoryDeliveryController@populateItem')->name('delivery.populateItem');
			Route::get('/delivery/item/{id}', 'InventoryDelivery\InventoryDeliveryController@getDetailItem')->name('delivery.autoFillItem');
			Route::post('/delivery/item', 'InventoryDelivery\InventoryDeliveryController@storeDeliveryDetail')->name('delivery.storeDeliveryDetail');
			Route::delete('/delivery/item/{item}', 'InventoryDelivery\InventoryDeliveryController@deliveryDetailDestroy')->name('delivery.deliveryDetailDestroy');

			//Inventory Return
			Route::get('/return/delivery/{id}', 'InventoryReturn\InventoryReturnController@populateInventoryDelivery')->name('return.getInventoryDelivery');
			Route::get('/return/employee/{id}', 'InventoryReturn\InventoryReturnController@populateEmployee')->name('return.getEmployee');
			Route::get('/return/json', 'InventoryReturn\InventoryReturnController@populateRecords')->name('return.getInventoryReturnData');
			Route::get('/return/detail/json/{id}', 'InventoryReturn\InventoryReturnController@populateDetailRecords')->name('return.getInventoryReturnDetailData');
			Route::delete('/return', 'InventoryReturn\InventoryReturnController@delete')->name('return.delete');		
			Route::resource('return', 'InventoryReturn\InventoryReturnController');

			//Inventory Return Detail
			Route::get('/return/item/json', 'InventoryReturn\InventoryReturnController@populateItem')->name('return.populateItem');
			Route::get('/return/item/{id}', 'InventoryReturn\InventoryReturnController@getDetailItem')->name('return.autoFillItem');
			Route::post('/return/item', 'InventoryReturn\InventoryReturnController@storeReturnDetail')->name('return.storeReturnDetail');
			Route::delete('/return/item/{item}', 'InventoryReturn\InventoryReturnController@returnDetailDestroy')->name('return.returnDetailDestroy');						

			//Users Group
			Route::get('/users-group/permissions/{id}', 'UsersGroup\UsersGroupController@getUserPermissions')->name('users-group.getUserPermissions');
			Route::get('/users-group/json', 'UsersGroup\UsersGroupController@populateRecords')->name('users-group.getUsersGroupData');
			Route::delete('/users-group', 'UsersGroup\UsersGroupController@delete')->name('users-group.delete');		
			Route::resource('users-group', 'UsersGroup\UsersGroupController');

			//Users
			Route::get('/users/groups/{id}', 'Users\UsersController@getUserGroups')->name('users.getUserGroups');
			Route::get('/users/json', 'Users\UsersController@populateRecords')->name('users.getUserData');
			Route::get('/users/password', 'Users\UsersController@password')->name('users.password');
			Route::put('/users/password', 'Users\UsersController@update_password')->name('users.password.update');
			Route::get('/profile', 'Users\UsersController@profile')->name('users.profile');			
			Route::put('/users/password/{id}', 'Users\UsersController@resetPassword')->name('users.reset');
			Route::delete('/users', 'Users\UsersController@delete')->name('users.delete');				
			Route::resource('users', 'Users\UsersController');

			//Logout
			Route::get('/logout', 'Auth\LoginController@logout')->name('logout');
		});	
	});
});

app/Inventory.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\SoftDeletes;

class Inventory extends Model
{
    use Notifiable, SoftDeletes;

    protected $dates = ['deleted_at'];

    protected $fillable = [
    	'type', 'category_id', 'item_code', 'item_name', 'brand', 'type_of_brand', 'materials', 'size', 'unit', 'specification', 'information', 'user_id',
    ];

    protected $table = 'inventory';

    public function category() {
    	return $this->belongsTo('App\Category', 'category_id');
    }

    public function user() {
    	return $this->belongsTo('App\User', 'user_id');
    }
}

resources/views/pages/inventory/create.blade.php
@extends('layouts.app')

@section('title', __('Create Inventory'))
@section('meta_description', __('Inventory Page'))
@section('meta_keywords', __('Inventory'))
@section('copyright', 'Copyright © 2020 ArikBali')
@section('author', 'Arik Bali')

@section('content')
<header class="c-header c-header-light c-header-fixed c-header-with-subheader">
    @include('partials/navbar_menus')
    <div class="c-subheader justify-content-between px-3">
        <ol class="breadcrumb border-0 m-0 px-0 px-md-3">
            <li class="breadcrumb-item">
                <a href="{{ route('dashboard') }}" alt="{{ __('Dashboard') }}" title="{{ __('Dashboard') }}">
                    {{ __('Home') }}
                </a>
            </li>
            <li class="breadcrumb-item">
                <a href="{{ route('inventory.index') }}" alt="{{ __('Inventory') }}" title="{{ __('Inventory List') }}">
                    {{ __('Inventory') }}
                </a>
            </li>            
            <li class="breadcrumb-item active">
                {{ __('Create') }}
            </li>
        </ol>
    </div>
</header>
<div class="c-body">
    <main class="c-main">
        <div class="container-fluid">
            <div id="ui-view">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                                <h4 class="card-title mb-0">
                                    {{ __('Inventory') }}
                                </h4>
                                <div class="small text-muted">
                                    {{ __('Create New Inventory') }}
                                </div>
                            </div>
                        </div><hr>                        
						<form id="myForm" novalidate="novalidate" method="POST" action="{{ route('inventory.store') }}">
							@if ($errors->any())
							    <div class="alert alert-danger">
							        <ul>
							            @foreach ($errors->all() as $error)
							                <li>{{ $error }}</li>
							            @endforeach
							        </ul>
							    </div>
							@endif
							{{ csrf_field() }}
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="type">{{ __('Type') }}</label>
                                    <select id="type" name="type" class="form-control selectpicker show-tick" title="{{ __('Select Type') }}"single>
                                        <option value="1" {{ old('type') == '1' ? 'selected' : '' }}>{{ __('Office Supplies') }}</option>
                                        <option value="2" {{ old('type') == '2' ? 'selected' : '' }}>{{ __('Materials') }}</option>
                                        <option value="3" {{ old('type') == '3' ? 'selected' : '' }}>{{ __('Provisional Equity') }}</option>
                                    </select>
                                </div>                                                    
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="category">{{ __('Category') }}</label>
                                    <select id="category" name="category" class="form-control selectpicker show-tick" title="{{ __('Select Category') }}" data-live-search="true" single>
                                        @foreach ($category as $item)
                                            <option value="{{ $item->id }}" {{ old('category') == $item->id ? 'selected' : '' }}>{{ $item->category_name }}</option>
                                        @endforeach
                                    </select>
                                </div>                                                                  
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="item_code">{{ __('Item Code') }}</label>
                                    <input class="form-control" id="item_code" type="text" name="item_code" placeholder="{{ __('Item Code') }}" value="{{ old('item_code') }}">
                                </div>                                 
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="item_name">{{ __('Item Name') }}</label>
                                    <input class="form-control" id="item_name" type="text" name="item_name" placeholder="{{ __('Item Name') }}" value="{{ old('item_name') }}">
                                </div>                                
                            </div>                                                         
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="brand">{{ __('Brand') }}</label>
                                    <input class="form-control" id="brand" type="text" name="brand" placeholder="{{ __('Brand') }}" value="{{ old('brand') }}">
                                </div>                         
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="type_of_brand">{{ __('Type of Brand') }}</label>
                                    <input class="form-control" id="type_of_brand" type="text" name="type_of_brand" placeholder="{{ __('Type of Brand') }}" value="{{ old('type_of_brand') }}">
                                </div>                                
                            </div>
                            <div class="row">                        
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="materials">{{ __('Materials') }}</label>
                                    <input class="form-control" id="materials" type="text" name="materials" placeholder="{{ __('Materials') }}" value="{{ old('materials') }}">
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="size">{{ __('Size / Dimension') }}</label>
                                    <input class="form-control" id="size" type="text" name="size" placeholder="{{ __('Size / Dimension') }}" value="{{ old('size') }}">
                                </div>                                                                 
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="unit">{{ __('Unit') }}</label>
                                    <input class="form-control" id="unit" type="text" name="unit" placeholder="{{ __('Unit') }}" value="{{ old('unit') }}">
                                </div>                                
                            </div>
                            <div class="form-group">
                                <label class="col-form-label" for="specification">{{ __('Product Specification') }}</label>
                                <textarea class="form-control" id="specification" type="specification" name="specification" placeholder="{{ __('Product Specification') }}" rows="10">{{ old('specification') }}</textarea>
                            </div>                          
                            <div class="form-group">
                                <label class="col-form-label" for="information">{{ __('Additional Information') }}</label>
                                <textarea class="form-control" id="information" name="information" placeholder="{{ __('Additional Information') }}" rows="5">{{ old('information') }}</textarea>
                            </div>		
							<hr>								
							<div class="form-group">
                                <button class="btn btn-primary" type="submit" name="save" alt="{{ __('Save & Close') }}" title="{{ __('Save & Close') }}">
                                    <i class="cil-save"></i> {{ __('Save & Close') }}
                                </button>
								<a href="{{ route('inventory.index') }}" class="btn btn-light" alt="{{ __('Cancel') }}" title="{{ __('Cancel') }}">
									<i class="icon-action-undo"></i> {{ __('Cancel') }}
								</a>
							</div>
						</form>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
@endsection

resources/views/pages/inventory/edit.blade.php
@extends('layouts.app')

@section('title', __('Update Inventory'))
@section('meta_description', __('Inventory Page'))
@section('meta_keywords', __('Inventory'))
@section('copyright', 'Copyright © 2020 ArikBali')
@section('author', 'Arik Bali')

@section('content')
<header class="c-header c-header-light c-header-fixed c-header-with-subheader">
    @include('partials/navbar_menus')
    <div class="c-subheader justify-content-between px-3">
        <ol class="breadcrumb border-0 m-0 px-0 px-md-3">
            <li class="breadcrumb-item">
                <a href="{{ route('dashboard') }}" alt="{{ __('Dashboard') }}" title="{{ __('Dashboard') }}">
                    {{ __('Home') }}
                </a>
            </li>
            <li class="breadcrumb-item">
                <a href="{{ route('inventory.index') }}" alt="{{ __('Inventory') }}" title="{{ __('Inventory List') }}">
                    {{ __('Inventory') }}
                </a>
            </li>            
            <li class="breadcrumb-item active">
                {{ __('Update') }}
            </li>
        </ol>
    </div>
</header>
<div class="c-body">
    <main class="c-main">
        <div class="container-fluid">
            <div id="ui-view">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                                <h4 class="card-title mb-0">
                                    {{ __('Inventory') }}
                                </h4>
                                <div class="small text-muted">
                                    {{ __('Update Inventory') }}
                                </div>
                            </div>
                        </div><hr>                        
                        <form id="myForm" novalidate="novalidate" method="POST" action="{{ route('inventory.update', $inventory->id) }}">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            {{ csrf_field() }}
                            {{ method_field('PUT') }}
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="type">{{ __('Type') }}</label>
                                    <select id="type" name="type" class="form-control selectpicker show-tick" title="{{ __('Select Type') }}"single>
                                        <option value="1" {{ $inventory->type == '1' ? 'selected' : '' }}>{{ __('Office Supplies') }}</option>
                                        <option value="2" {{ $inventory->type == '2' ? 'selected' : '' }}>{{ __('Materials') }}</option>
                                        <option value="3" {{ $inventory->type == '3' ? 'selected' : '' }}>{{ __('Provisional Equity') }}</option>
                                    </select>
                                </div>                                                    
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="category">{{ __('Category') }}</label>
                                    <select id="category" name="category" class="form-control selectpicker show-tick" title="{{ __('Select Category') }}" data-live-search="true" single>
                                        @foreach ($category as $item)
                                            <option value="{{ $item->id }}" {{ $inventory->category_id == $item->id ? 'selected' : '' }}>{{ $item->category_name }}</option>
                                        @endforeach
                                    </select>
                                </div>                                                                  
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="item_code">{{ __('Item Code') }}</label>
                                    <input class="form-control" id="item_code" type="text" name="item_code" placeholder="{{ __('Item Code') }}" value="{{ $inventory->item_code }}">
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="item_name">{{ __('Item Name') }}</label>
                                    <input class="form-control" id="item_name" type="text" name="item_name" placeholder="{{ __('Item Name') }}" value="{{ $inventory->item_name }}">
                                </div>                                                                 
                            </div>                                                        
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="brand">{{ __('Brand') }}</label>
                                    <input class="form-control" id="brand" type="text" name="brand" placeholder="{{ __('Brand') }}" value="{{ $inventory->brand }}">
                                </div>                         
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="type_of_brand">{{ __('Type of Brand') }}</label>
                                    <input class="form-control" id="type_of_brand" type="text" name="type_of_brand" placeholder="{{ __('Type of Brand') }}" value="{{ $inventory->type_of_brand }}">
                                </div>                                
                            </div>
                            <div class="row">                        
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="materials">{{ __('Materials') }}</label>
                                    <input class="form-control" id="materials" type="text" name="materials" placeholder="{{ __('Materials') }}" value="{{ $inventory->materials }}">
                                </div>
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="size">{{ __('Size / Dimension') }}</label>
                                    <input class="form-control" id="size" type="text" name="size" placeholder="{{ __('Size / Dimension') }}" value="{{ $inventory->size }}">
                                </div>                                                                 
                            </div>
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class="col-form-label" for="unit">{{ __('Unit') }}</label>
                                    <input class="form-control" id="unit" type="text" name="unit" placeholder="{{ __('Unit') }}" value="{{ $inventory->unit }}">
                                </div>                                
                            </div>
                            <div class="form-group">
                                <label class="col-form-label" for="specification">{{ __('Product Specification') }}</label>
                                <textarea class="form-control" id="specification" type="specification" name="specification" placeholder="{{ __('Product Specification') }}" rows="10">{{ $inventory->specification }}</textarea>
                            </div>                          
                            <div class="form-group">
                                <label class="col-form-label" for="information">{{ __('Additional Information') }}</label>
                                <textarea class="form-control" id="information" name="information" placeholder="{{ __('Additional Information') }}" rows="5">{{ $inventory->information }}</textarea>
                            </div>    
                            <hr>                                
                            <div class="form-group">
                                <button class="btn btn-primary" type="submit" name="save" alt="{{ __('Update & Close') }}" title="{{ __('Update & Close') }}">
                                    <i class="cil-save"></i> {{ __('Update & Close') }}
                                </button>
                                <a href="{{ route('inventory.index') }}" class="btn btn-light" alt="{{ __('Cancel') }}" title="{{ __('Cancel') }}">
                                    <i class="icon-action-undo"></i> {{ __('Cancel') }}
                                </a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
@endsection